Subject: Re: [sup-talk] Sup won't run because of chert version issue

From: "Chris Parsons" <[email-masked]>
Date: Wed, 20 Oct 2010 05:09:21 +0100

On Fri, 15 Oct 2010 08:57:50 +0100, Chris Parsons <[email-masked]>  
wrote:

> Hello, I've made a mess of updating my (arch linux) system and annoyed  
> sup.
>
> I get the error below related to chert version.
>
... snip ...

> DatabaseVersionError: /home/archie/.sup/xapian/iamchert: Chert version
> file is version 200912150 but I only understand 200903070

I fixed my problem. The error message above comes from Xapian, not sup. In  
trying to fix the original problem I'd installed a personal version of the  
xapian ruby bindings in ~/.gem which ruby finding in preference to the  
system gem, but which was the wrong version for the system xapian. For the  
record I have

community/xapian-core 1.2.3-1
local/xapian-ruby-bindings 1.2.3-1
local/sup 999-1 (i.e. current mainline)
extra/ruby 1.9.1_p429-1
_______________________________________________
sup-talk mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-talk